incubator-couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joan Touzet (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (COUCHDB-1572) Remove support for spidermonkey versions < 1.8.5
Date Sat, 05 Jan 2013 11:20:13 GMT

    [ https://issues.apache.org/jira/browse/COUCHDB-1572?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13544671#comment-13544671
] 

Joan Touzet commented on COUCHDB-1572:
--------------------------------------

FYI, SmartOS / Solaris x86 can't build a native 64-bit js-185, and never will be able to,
see https://bugzilla.mozilla.org/show_bug.cgi?id=589735 and https://bugzilla.mozilla.org/show_bug.cgi?id=577056
for the gory details.

Even worse, on SmartOS the 32-bit packages of all the prerequisites directly clobber their
64-bit counterparts, making building a 32-bit sm-1.8.5/couchjs combo there extremely annoying.

                
> Remove support for spidermonkey versions < 1.8.5
> ------------------------------------------------
>
>                 Key: COUCHDB-1572
>                 URL: https://issues.apache.org/jira/browse/COUCHDB-1572
>             Project: CouchDB
>          Issue Type: Improvement
>            Reporter: Robert Newson
>             Fix For: 1.4
>
>
> Simplify build system and provide a consistent Javascript environment by ditching spidermonkey
versions below 1.8.5

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message